Skip to main content
GET
/
service
/
v2
/
ai
/
filter
/
{filter_id}
Get AI Filter Context
curl --request GET \
  --url https://oathnet.org/api/service/v2/ai/filter/{filter_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "0123456789abcdef01234567",
  "index_type": "<string>",
  "query": "<string>",
  "filter": {
    "field": "country",
    "operator": "eq",
    "value": "us"
  },
  "sample_data": {},
  "field_values": {},
  "total_hits": 123,
  "history": [
    {
      "query": "<string>",
      "filter": {
        "field": "country",
        "operator": "eq",
        "value": "us"
      }
    }
  ],
  "source": "<string>",
  "parent_id": "0123456789abcdef01234567",
  "created_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oathnet.org/llms.txt

Use this file to discover all available pages before exploring further.

Fetch the stored filter context for a previously created filter_id. The returned filter object follows the same grammar documented in Structured Filters.

Authorizations

x-api-key
string
header
required

API key for authentication (lowercase header name)

Path Parameters

filter_id
string
required

24-character transient filter context ID.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"0123456789abcdef01234567"

Response

200 - application/json

Raw AI filter context

id
string

24-character transient filter context ID.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"0123456789abcdef01234567"

index_type
string
query
string
filter
object

Recursive structured filter tree.

Constraints:

  • maximum nesting depth: 2
  • maximum leaf conditions: 50
  • each node should use exactly one of field, and, or or
Example:
{
"field": "country",
"operator": "eq",
"value": "us"
}
sample_data
object
field_values
object
total_hits
integer
history
object[]
source
string
parent_id
string

24-character transient filter context ID.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"0123456789abcdef01234567"

created_at
string<date-time>
expires_at
string<date-time>